#!/bin/bash
set -e

CC=${CC:-cc}

cd "$AUTOPKGTEST_TMP"

FAIL=0
declare -a SOURCE_FILES
for f in /usr/share/doc/libtickit-dev/examples/*.c*; do
  SOURCE_FILES+=( "$(basename "$f" .gz)" )
  gunzip -dc -f "$f" > "${SOURCE_FILES[-1]}"
done

printf '1..%s\n' "${#SOURCE_FILES[@]}"
for (( i=0; i < ${#SOURCE_FILES[@]}; i++ )); do
  cname=${SOURCE_FILES[$i]}
  if ! "$CC" -Wall $(pkg-config --cflags tickit libuv glib-2.0) -o "${cname%.c}" "$cname" $(pkg-config --libs tickit libuv glib-2.0); then
    FAIL=1
    printf 'not '
  fi
  printf 'ok %d - Compiling %s\n' "$(( i + 1))" "$cname"
done

exit $FAIL
